"use strict";

/*

su-extensions/goatcounter/extension.js

Implements an implementation of goatcounter.com and provides ability to turn it
off at site and user level.

Instructions
============

You must define SC_GOATCOUNTER_ENABLE as true, and SC_GOATCOUNTER_ID as the
appropriate value somewhere. You could put this at the very end of your Static
Ultra config file:

e.g.: 

var suConfig = new SUConfig();

var SC_GOATCOUNTER_ENABLE = true;
var SC_GOATCOUNTER_ID = "https://ID.goatcounter.com/count";

*/

function SUExtension_GoatCounter()
{
	this.onSiteLoad = function()
    {
        scGoatCounter.process();
    }

	this.onThemeLoad = function()
	{
	}

    this.onPageLoad = function()
    {
    }

    this.onPageUnload = function()
	{
	}
	
	this.onThemeUnload = function()
	{
    }
	
    // Strict	
	Object.seal( this );
}